package com.hikcreate.demo.api.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 配置登录类
 *
 * @author mt
 * @date 2020/2/4
 */
@Component
@ConfigurationProperties(prefix = "login")
@Data
public class LoginProperties {
    /**
     * 登录地址
     */
    private String loginUrl;

    /**
     * 权限验证地址
     */
    private String authUrl;

    /**
     * 权限码
     */
    private String accessCode;

    /**
     * 是否开启权限验证
     */
    private Boolean enabled;
}
