package com.hikcreate.demo.api.controller;

import com.hikcreate.demo.domain.ITestService;
import com.hikcreate.demo.infra.model.Test;
import com.hikcreate.demo.infra.model.query.TestQuery;
import com.hikcreate.infra.framework.core.Result;
import com.hikcreate.infra.framework.core.excepitonextend.BusinessException;
import com.hikcreate.infra.framework.core.page.PageResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author mt
 * @date 2020/2/6
 */
@RestController
@RequestMapping("/test/")
public class TestController extends BaseController {

    @Autowired
    private ITestService testService;

    /**
     * 获取数据列表
     *
     * @param query
     * @return
     */
    @PostMapping("getList2")
    public Result<PageResult<Test>> getList(TestQuery query) {
        PageResult<Test> data = testService.getList2(query);
        return successResult();
    }


    /**
     * 添加或者修改
     *
     * @param obj
     * @return
     */
    @PostMapping("save")
    public Result save(Test obj) {
        if (obj == null) {
            throw new BusinessException("参数错误！");
        }

        //获取当前登录用户
        String createUserId = getUserId();
        String createUserName = getUserName();
        obj.setCreateUserId(createUserId);
        obj.setCreateUserName(createUserName);

        testService.saveOrUpdate(obj);
        return Result.successResult();
    }
}