package com.hikcreate.demo.domain;

import com.hikcreate.demo.domain.model.TestBo;
import com.hikcreate.demo.infra.model.Test;
import com.hikcreate.demo.infra.model.query.TestQuery;
import com.hikcreate.infra.framework.core.page.PageResult;
import com.hikcreate.infra.mybatisplus.extension.service.IService;

/**
 * 测试表 服务类
 *
 * @author hikcreate
 * @since 2019-11-11
 */
public interface ITestService extends IService<Test> {

    /**
     * 使用TestBo的例子
     *
     * @param obj
     * @return
     */
    PageResult<Test> getList(TestBo obj);

    /**
     * 使用infra 的TestQuery 的例子
     *
     * @param obj
     * @return
     */
    PageResult<Test> getList2(TestQuery obj);

    /**
     * 保存到数据库+redis
     *
     * @param obj
     */
    void saveAndRedis(Test obj);
}
